Futures Isolated
Get open trades
Deprecated
GET
/futures/isolated/trades/openPrivateDeprecated: use GET /perp/isolated/trades/open instead. Get your open BTC/USD trades: limit orders not filled yet, newest first.
Permissions: futures:isolated:read
OK
application/json- response
[index: integer]?import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient({
key: 'your-key',
secret: 'your-secret',
passphrase: 'your-passphrase',
})
const result = await client.futures.isolated.getOpenTrades()[
{
"id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
"type": "limit",
"side": "buy",
"openingFee": 10,
"closingFee": 0,
"maintenanceMargin": 0,
"quantity": 100,
"margin": 1000,
"leverage": 10,
"price": 20000,
"liquidation": 18000,
"stoploss": 10,
"takeprofit": 10,
"stoplossTrailingDistance": 0,
"exitPrice": 0,
"pl": 0,
"createdAt": "2025-09-01T15:04:21.129Z",
"filledAt": null,
"closedAt": null,
"entryPrice": 20000,
"entryMargin": 1000,
"open": true,
"running": false,
"canceled": false,
"closed": false,
"sumFundingFees": 0,
"sumCashInPl": 0,
"sumCashInMargin": 0,
"clientId": "test-client-id-123"
}
]Close trade POST
Deprecated: use POST /perp/isolated/trade/close instead. Close a running trade and realize its P&L. Returns the closed trade.
Get running trades GET
Deprecated: use GET /perp/isolated/trades/running instead. Get your running BTC/USD trades, newest first. Their pl is the unrealized P&L, valued at the…